> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/offer-urls/get_offer_urls.md).

# Get the offer urls

| HTTP method | Endpoint                               |
| ----------- | -------------------------------------- |
| **GET**     | **/v1/offers/{offer\_id}/offer\_urls** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Response body parameters <a href="#response-body-parameters-0" id="response-body-parameters-0"></a>

| Field            | Type    | Description                                                                                                                               |
| ---------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| id               | integer | The unique id for the offer urls.                                                                                                         |
| status           | string  | The status of the Offer. Allowed values: active·deleted.                                                                                  |
| name             | string  | The name of the this multiple                                                                                                             |
| destination\_url | string  | The default Offer URL where traffic will be redirected to. Several optional variables/macros can be included in an Offer URL.             |
| preview\_url     | array   | URL that often skips any geo-targeting or other re-targeting implemented by the Offer URL. Allows Affiliates to view sample landing page. |
| create\_time     | integer | Create time.                                                                                                                              |
| update\_time     | integer | Update time.                                                                                                                              |

## Example request <a href="#example-request-0" id="example-request-0"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/offers/3147/offer_urls>

**Request GET** <http://{networkname}.api.offerslook.com/v1/offers/3147/offer_urls>

## Example response <a href="#example-response-0" id="example-response-0"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": [
        {
            "id": 7,
            "status": "Active",
            "name": "360",
            "destination_url": "http://oltest1.offerstrack.net/advBack.php?click_id={click_id}&adv_id=4356&adv_sub1=360",
            "preview_url": "http://www.360.com",
            "create_time": 1540197665,
            "update_time": 1540197665
        },
        {
            "id": 8,
            "status": "Active",
            "name": "qq",
            "destination_url": "http://oltest1.offerstrack.net/advBack.php?click_id={click_id}&adv_id=4356&adv_sub1=QQ",
            "preview_url": "http://www.qq.com",
            "create_time": 1540197674,
            "update_time": 1540197674
        },
        {
            "id": 9,
            "status": "Active",
            "name": "test1",
            "destination_url": "https://www.offerslook.com/",
            "preview_url": "https://www.offerslook.com/",
            "create_time": 1540279183,
            "update_time": 1540279183
        }
    ]
}
```
